UptimeUptime Wiki

Work_order

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/work-orders/{id}

Code example

curl -X GET "https://example.com/api/v1/work-orders/0"

Response example

{  "id": 0,  "kind": "string",  "kind_label": "string",  "actor": "string",  "actor_staff_id": 0,  "started_at_ns": 0,  "last_progress_at_ns": 0,  "resolved_at_ns": 0,  "current_step": 0,  "steps": [    {      "kind": "string",      "detail": "string",      "started_at_ns": 0,      "completed_at_ns": 0,      "estimated_duration_ns": 0,      "actual_duration_ns": 0    }  ],  "blocking": "string",  "incident_id": 0}

Response body

200The entity
application/json

Renderer-friendly mirror of sim_core::work::WorkOrder. Drives the work-order panel UI + per-actor"currently doing"badge.

On this page